package com.ruoyi.clock.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum BasicInfoExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    BasicInfo_IS_NOT_EXISTS(200001, "基础设置不存在"),

    ;

    private Integer code;

    private String msg;

    BasicInfoExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static BasicInfoExceptionEnum getByCode(int code, BasicInfoExceptionEnum[] values) {
        for (BasicInfoExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
